import request from '@/utils/request'

// 查询医共体列表
export function listCommunity(query) {
  return request({
    url: '/medical/community/list',
    method: 'get',
    params: query
  })
}

// 查询医共体详细
export function getCommunity(id) {
  return request({
    url: '/medical/community/' + id,
    method: 'get'
  })
}

// 新增医共体
export function addCommunity(data) {
  return request({
    url: '/medical/community',
    method: 'post',
    data: data
  })
}

// 修改医共体
export function updateCommunity(data) {
  return request({
    url: '/medical/community',
    method: 'put',
    data: data
  })
}

// 删除医共体
export function delCommunity(id) {
  return request({
    url: '/medical/community/' + id,
    method: 'delete'
  })
}

// 导出医共体
export function exportCommunity(query) {
  return request({
    url: '/medical/community/export',
    method: 'get',
    params: query
  })
}